org.jboss.resteasy.auth.oauth

## Class OAuthToken

- java.lang.Object
- - org.jboss.resteasy.auth.oauth.OAuthToken

- Direct Known Subclasses:
    OAuthRequestToken

      public class OAuthToken
      extends Object

  Represents either an OAuth Access or Request Token.
  Author:
    Stéphane Épardaud

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthToken(String token, String secret, String[] scopes, String[] permissions, long timeToLive, OAuthConsumer consumer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthConsumer` | `getConsumer()` Returns this Token's Consumer.
    `String[]` | `getPermissions()` Returns this Token's permissions
    `String[]` | `getScopes()` Returns this Token's Scopes
    `String` | `getSecret()` Returns this Token's Secret
    `long` | `getTimestamp()` Returns this Token's timestamp
    `long` | `getTimeToLive()` Returns this Token's timeToLive
    `String` | `getToken()` Returns this Token's Token

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthToken

          public OAuthToken(String token,
                    String secret,
                    String[] scopes,
                    String[] permissions,
                    long timeToLive,
                    OAuthConsumer consumer)

  - ### Method Detail

    - #### getConsumer

          public OAuthConsumer getConsumer()

      Returns this Token's Consumer.

    - #### getToken

          public String getToken()

      Returns this Token's Token

    - #### getSecret

          public String getSecret()

      Returns this Token's Secret

    - #### getScopes

          public String[] getScopes()

      Returns this Token's Scopes

    - #### getPermissions

          public String[] getPermissions()

      Returns this Token's permissions

    - #### getTimestamp

          public long getTimestamp()

      Returns this Token's timestamp

    - #### getTimeToLive

          public long getTimeToLive()

      Returns this Token's timeToLive

Copyright © 2014. All Rights Reserved.